summaryrefslogtreecommitdiffstats
path: root/bin/hornet/sc
diff options
context:
space:
mode:
authorJesse Luehrs <doy@tozt.net>2021-02-25 23:51:01 -0500
committerJesse Luehrs <doy@tozt.net>2021-02-26 01:52:00 -0500
commit5d5405115ee1059a205d25ff972e12256d09a1b5 (patch)
tree387e4f45de7f4bcba093a0cb6a597d640224210d /bin/hornet/sc
parent449036cf4077218264b8235d0e9cd475f3fa20f3 (diff)
downloadconf-5d5405115ee1059a205d25ff972e12256d09a1b5.tar.gz
conf-5d5405115ee1059a205d25ff972e12256d09a1b5.zip
reconfigure various things for hornet
Diffstat (limited to 'bin/hornet/sc')
-rwxr-xr-xbin/hornet/sc19
1 files changed, 19 insertions, 0 deletions
diff --git a/bin/hornet/sc b/bin/hornet/sc
new file mode 100755
index 0000000..d86b917
--- /dev/null
+++ b/bin/hornet/sc
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+case "$1" in
+ on)
+ xset s 300 5
+ xset dpms 600 600 600
+ ;;
+ off)
+ xset s off
+ xset dpms 0 0 0
+ ;;
+ q)
+ xset q | perl -nlE'print if ((/^(:?Screen Saver|DPMS)/.../^[^\s]/) && /^(:?Screen Saver|DPMS|\s)/)'
+ ;;
+ *)
+ echo "$(basename "$0"): unknown argument '$1'" >&2
+ exit 1
+ ;;
+esac